## autofs 5.1.5

=== debian/changelog ===
autofs (5.1.5-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:47:29 +0200

autofs (5.1.5-1) experimental; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Make browsable_dirs option functional. Configurable in autofs.conf.
      (Closes: #784301).
    - Fix FTBFS with clang. (Closes: #757038).
    - Fix specification of nfsvers=4.1 (with minor version numbers) in
      auto.master. (Closes: #892374).
  * debian/patches:
    + Rebase some patches.
    + Drop do-not-check-for-modprobe-procfs-or-load-module.patch,
      fix-autofs-manpage-whatis.patch, fix-autofsconf-manpage-section.patch.
      Fixes shipped by upstream.
    + Add mount-hidden-samba-shares.patch. Fix regression between 5.0.8 and
      5.1.1 regarding the mounting of hidden samba shares. (Closes: #787202,
      #910367).
    + Add spelling-error-fixes.patch, fixing tons of spelling fixes. Thanks
      lintian.
  * debian/rules:
    + Add get-orig-source target.
    + Evoke install_samples upstream Makefile target explicitly during
      dh_auto_install.
    + Enable all hardening flags.
  * debian/control:
    + Bump to Standards-Version: 4.3.0. No changes needed.
    + Adopt autofs package. Thanks to Dmitry Smirnov and other contributors
      for all the previous work. (Closes: #849148).
    + Explicit B-D on pkg-config.
    + Update Vcs-*: fields. Packaging has moved to salsa.debian.org.
      (Closes: #902565).
    + Add B-D on dpkg-dev (>= 1.16.1.1~) for full hardening flag support.
    + Use secure URL in Homepage: field.
  * debian/source/options:
    + Drop custom compression for debian/ folder's tarball.
  * debian/autofs-ldap.<scripts>:
    + Ensure file permissions of /etc/autofs_ldap_auth.conf are set to
      root:root:0600 via dpkg-statoverride. (Closes: #805028).
  * debian/autofs.service:
    + Add nfs-client.target to Wants= key. Hopefully, this is sufficient to
      fix #842199, if not, please reopen the bug. (Closes: #842199).
    + PID file is in /run, not /var/run (which is a symlink to /run).
    + Add Documentation= key.
  * debian/copyright:
    + Drop outdated information from main header. Use https:// in URLs.

  [ Stefan Potyra ]
  * debian/control:
    + Add libtirpc-dev to build-depends.
  * debian/rules:
    + Add option --with-libtirpc to configure. (Closes: #737679, #709366).

  [ Andreas Hasenack ]
  * debian/tests:
    + Add nfs-mount and smb-mount tests. (Closes: #901554).

  [ Vincent McIntyre ]
  * debian/patches:
    + Add hardening-flags.patch. Assure that automount is built with
      DAEMON_CFLAGS. (Closes: #864857).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Mar 2019 19:42:50 +0100

=== debian/control ===
Source: autofs
Section: utils
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 9.20160709), autoconf,
 bison,
 dpkg-dev (>= 1.16.1.1~),
 e2fsprogs,
 flex,
 libhesiod-dev,
 libkrb5-dev,
 libldap-dev,
 libsasl2-dev,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 sssd-common,
 libtirpc-dev,
Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
VCS-Browser: https://salsa.debian.org/debian/autofs/
VCS-Git: https://salsa.debian.org/debian/autofs.git

Package: autofs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf
Provides: autofs5
Breaks: autofs5 (<< 5.0.6-1~)
Replaces: autofs5 (<< 5.0.6-1~)
Recommends: nfs-common, kmod | module-init-tools, e2fsprogs
Description: kernel-based automounter for Linux
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the autofs daemon.

Package: autofs-ldap
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-ldap
Breaks: autofs5-ldap (<< 5.0.6-1~)
Replaces: autofs5-ldap (<< 5.0.6-1~)
Description: LDAP map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the LDAP module of the autofs.

Package: autofs-hesiod
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs (= ${binary:Version})
Provides: autofs5-hesiod
Breaks: autofs5-hesiod (<< 5.0.6-1~)
Replaces: autofs5-hesiod (<< 5.0.6-1~)
Description: Hesiod map support for autofs
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the Hesiod module of the autofs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with systemd

override_dh_auto_configure:
	autoreconf --force
# Set some standard util paths explicitly,
# or else we'll have to build-depend on all of them.
# It is hackish, real solution should be to patch upstream
# to never check for standard utilities.
# Upstream also should not distinguish between ext*fs,
# for all of which /sbin/e2fsck is the real filesystem checker
# which will figure out type of the filesystem automatically.
# Also explicitly define some dirs/locations which will be searched
# if not defined.
# Always define --enable-sloppy-mount (mount -s).  Also a hack and
# the same comment as above applies: upstream should use it unconditionally.
# Even busybox mount understands -s.
	MOUNT=/bin/mount UMOUNT=/bin/umount \
	MOUNT_NFS=/sbin/mount.nfs \
	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
	initdir=/etc/init.d piddir=/var/run \
	sssldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sssd/modules \
	dh_auto_configure -- \
		--disable-mount-locking \
		--enable-force-shutdown \
		--enable-ignore-busy \
		--enable-sloppy-mount \
		--mandir=/usr/share/man \
		--with-confdir=/etc/default \
		--with-mapdir=/etc \
		--with-fifodir=/var/run --with-flagdir=/var/run \
		--with-hesiod \
		--with-openldap \
		--with-sasl \
		--with-libtirpc \
		$(NULL)

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	DONTSTRIP=1 dh_auto_build

override_dh_auto_install:
	dh_auto_install
	make install_samples INSTALLROOT="$(CURDIR)/debian/tmp"

override_dh_install:
	dh_install
	# remove hesiod and ldap modules, they're in separate packages
	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
              debian/autofs/usr/lib/*/autofs/*ldap*.so

override_dh_installinit:
# /etc/default/autofs is shipped using ucf
	dh_installinit -pautofs -- start 19 2 3 4 5 . stop 81 0 1 6 .

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_fixperms:
	dh_fixperms -Xdebian/autofs-ldap/etc/autofs_ldap_auth.conf

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## autofs 5.1.6

=== debian/changelog ===
autofs (5.1.6-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/p/fix-lookup-ldap-crash.patch: fix crash on startup due to uninitialized
    config.  (LP #1503034). (Closes: #901344).
  * d/rules: Add LDFLAGS to avoid issues with accessing global variables in
    shared libraries (LP #1470687, LP #1472115).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2020 23:04:23 +0100

autofs (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 11default_automaster_location.patch,
      12disable_default_auto_master.patch and spelling-error-fixes.patch.
    + Add two more spelling fixes to spelling-error-fixes.patch.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation.
    + Bump to DH compat level version 12.
    + Drop autoconf from B-D.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/rules:
    + Drop --with systemd. No longer provided in DH compat level >= 11.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 18:45:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9.20160709), autoconf,
+Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 12),
  bison,
  dpkg-dev (>= 1.16.1.1~),
  e2fsprogs,
@@ -19,6 +20,7 @@
  pkg-config,
  sssd-common,
  libtirpc-dev,
+Rules-Requires-Root: no
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
 VCS-Browser: https://salsa.debian.org/debian/autofs/
 VCS-Git: https://salsa.debian.org/debian/autofs.git

=== debian/tests/control ===
Tests: smb-mount
Depends: @, cifs-utils, samba, smbclient
Restrictions: isolation-machine, needs-root, allow-stderr

Tests: nfs-mount
Depends: @, nfs-common, nfs-server
Restrictions: isolation-machine, needs-root, allow-stderr

=== debian/watch ===
version=3
https://www.kernel.org/pub/linux/daemons/autofs/v5/autofs-(5[^-]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## autofs 5.1.7

=== modules/Makefile ===
#
# Makefile for autofs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS :=	lookup_file.c lookup_program.c  lookup_userhome.c \
	lookup_multi.c lookup_hosts.c lookup_dir.c \
	parse_sun.c parse_amd.c \
	mount_generic.c  mount_nfs.c  mount_afs.c  mount_autofs.c \
	mount_changer.c  mount_bind.c

MODS :=	lookup_file.so lookup_program.so lookup_userhome.so \
	lookup_multi.so lookup_hosts.so lookup_dir.so \
	parse_sun.so parse_amd.so \
	mount_generic.so mount_nfs.so mount_afs.so mount_autofs.so \
	mount_changer.so mount_bind.so

YACCSRC = amd_tok.c amd_parse.tab.c amd_parse.tab.h

ifeq ($(EXT2FS), 1)
  SRCS += mount_ext2.c
  MODS += mount_ext2.so
else
 ifeq ($(EXT3FS), 1)
   SRCS += mount_ext2.c
   MODS += mount_ext2.so
 endif
endif

ifeq ($(HESIOD), 1)
  SRCS += lookup_hesiod.c  parse_hesiod.c
  MODS += lookup_hesiod.so parse_hesiod.so
endif

ifeq ($(NISPLUS), 1)
  SRCS += lookup_nisplus.c
  MODS += lookup_nisplus.so
endif

ifeq ($(YPCLNT), 1)
  SRCS += lookup_yp.c
  MODS += lookup_yp.so
endif

ifeq ($(LDAP), 1)
  SRCS += lookup_ldap.c
  MODS += lookup_ldap.so
  LDAP_FLAGS += $(XML_CFLAGS) -DLDAP_THREAD_SAFE
  LIBLDAP += $(XML_LIBS)
  ifeq ($(SASL), 1)
    SASL_OBJ = cyrus-sasl.o cyrus-sasl-extern.o
    LDAP_FLAGS += $(SASL_FLAGS) $(KRB5_FLAGS)
    LIBLDAP += $(LIBSASL) $(KRB5_LIBS)
  endif
endif

ifeq ($(SSSD), 1)
  CFLAGS += -DSSS_LIB_DIR=\"$(ssslibdir)\"
  SRCS += lookup_sss.c
  MODS += lookup_sss.so
endif

CFLAGS += -I../include -I../lib -fPIC -D_GNU_SOURCE
CFLAGS += -DAUTOFS_LIB_DIR=\"$(autofslibdir)\"
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"

all: $(MODS)

clean:
	rm -f *.o *.s *.so *~ *.output $(YACCSRC)

# mount_smbfs.so is an obsolete module which must be removed
install: all
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -c $(MODS) -m 755 $(INSTALLROOT)$(autofslibdir)
	-rm -f $(INSTALLROOT)$(autofslibdir)/mount_smbfs.so
	ln -fs lookup_file.so $(INSTALLROOT)$(autofslibdir)/lookup_files.so
	ln -fs lookup_yp.so $(INSTALLROOT)$(autofslibdir)/lookup_nis.so
ifeq ($(LDAP), 1)
	ln -fs lookup_ldap.so $(INSTALLROOT)$(autofslibdir)/lookup_ldaps.so
endif
	ln -fs mount_nfs.so $(INSTALLROOT)$(autofslibdir)/mount_nfs4.so
ifeq ($(EXT2FS), 1)
 ifeq ($(EXT3FS), 1)
	ln -fs mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext3.so
 endif
 ifeq ($(EXT4FS), 1)
	ln -fs mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
 endif
else ifeq ($(EXT3FS), 1)
	mv $(INSTALLROOT)$(autofslibdir)/mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext3.so
 ifeq ($(EXT4FS), 1)
	ln -fs mount_ext3.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
 endif
else ifeq ($(EXT4FS), 1)
	mv $(INSTALLROOT)$(autofslibdir)/mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext4.so
endif

amd_tok.c: amd_tok.l
	$(LEX) -o$@ -Pamd_ $?

amd_tok.o: amd_tok.c amd_parse.tab.h

amd_parse.tab.c amd_parse.tab.h: amd_parse.y
	$(YACC) -v -d -p amd_ -b amd_parse $?

amd_parse.tab.o: amd_parse.tab.c amd_parse.tab.h

parse_amd.so: parse_amd.c amd_parse.tab.o amd_tok.o
	$(CC) $(SOLDFLAGS) $(CFLAGS) -o parse_amd.so \
		parse_amd.c amd_parse.tab.o amd_tok.o $(LDFLAGS) $(LIBS) $(AUTOFS_LIB_LINK)
	$(STRIP) parse_amd.so

#
# Ad hoc compilation rules for modules which need auxilliary libraries
#
lookup_yp.so: lookup_yp.c
	$(CC) $(SOLDFLAGS) $(CFLAGS) $(NSLCFLAGS) -o lookup_yp.so \
		lookup_yp.c $(LDFLAGS) $(LIBS) $(NSLLIB) $(AUTOFS_LIB_LINK)
	$(STRIP) lookup_yp.so

lookup_nisplus.so: lookup_nisplus.c
	$(CC) $(SOLDFLAGS) $(CFLAGS) $(NSLCFLAGS) -o lookup_nisplus.so \
		lookup_nisplus.c $(LDFLAGS) $(LIBS) $(NSLLIB) $(AUTOFS_LIB_LINK)
	$(STRIP) lookup_nisplus.so

lookup_hesiod.so: lookup_hesiod.c
	$(CC) $(SOLDFLAGS) $(CFLAGS) $(HESIOD_FLAGS) -o lookup_hesiod.so \
		lookup_hesiod.c $(LDFLAGS) $(LIBHESIOD) $(LIBRESOLV) $(LIBS) $(AUTOFS_LIB_LINK)
	$(STRIP) lookup_hesiod.so

cyrus-sasl.o: cyrus-sasl.c
	$(CC) $(CFLAGS) $(LDAP_FLAGS) -c $<

cyrus-sasl-extern.o: cyrus-sasl-extern.c
	$(CC) $(CFLAGS) $(LDAP_FLAGS) -c $<

lookup_ldap.so: lookup_ldap.c dclist.o base64.o $(SASL_OBJ)
	$(CC) $(SOLDFLAGS) $(CFLAGS) $(LDAP_FLAGS) -o lookup_ldap.so \
		lookup_ldap.c dclist.o base64.o $(SASL_OBJ) \
		$(LDFLAGS) $(LIBLDAP) $(LIBRESOLV) $(LIBS) $(AUTOFS_LIB_LINK)
	$(STRIP) lookup_ldap.so

mount_nfs.so: mount_nfs.c replicated.o
	$(CC) $(SOLDFLAGS) $(CFLAGS) -o mount_nfs.so \
		mount_nfs.c replicated.o $(LDFLAGS) $(LIBS) $(AUTOFS_LIB_LINK)
	$(STRIP) mount_nfs.so

=== debian/changelog ===
autofs (5.1.7-1+deb11u2) bullseye; urgency=medium

  * use correct reference for IN6 macro call
  * dont probe interface that cant send packet (Closes: #1041051)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Aug 2023 10:31:29 +0200

autofs (5.1.7-1+deb11u1) bullseye; urgency=medium

  * debian/patches:
    + Add fix-nfs4-only-mounts-should-not-use-rpcbind.patch. Don't let NFSv4-
      only mounts use rpcbind portmapper service. (Closes: #1034261).
    + Add fix-missing-unlock-in-sasl-do-kinit-ext-cc.patch. Fix missing unlock
      in sasl_do_kinit_ext_cc(). (Closes: #1039967).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jul 2023 19:01:17 +0200

autofs (5.1.7-1) unstable; urgency=medium

  * New upstream release.
    - autofs: Fix crash in sun_mount() (Closes: #892953).
    - Use PKG_CHECK_MODULES to detect the libxml2 library. (Closes: #949055).
  * debian/patches:
    + Drop fix-autofs-schema.patch and make-bind-mounts-propagation-slave-by-
      default.patch. Applied upstream.
    + Trivially rebase patches.
    + Add another typo fix to spelling-error-fixes.patch.
  * debian/autofs.install:
    + Install libautofs.so into bin:pkg autofs (for now).
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/autofs.lintian-overrides:
    + Ignore libautofs.so (share lib) for now.
    + Ignore lintian complain about autofs.8 man page.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 13:36:20 +0100

autofs (5.1.6-4) unstable; urgency=medium

  * debian/patches:
    + Add fix-autofs-schema.patch. Fix EQUALITY of automountInformation
      in LDAP autofs.schema. (Closes: #968675).
    + Add fix-nfs4-mounts-in-auto-net.patch. Follow-up of the nfs4 fix in
      #533893. (Closes: #646625).
  * debian/control:
    + Use correct capitalization for Vcs-*: field tags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 21:46:29 +0100

autofs (5.1.6-3) unstable; urgency=medium

  * debian/patches:
    + Add make-bind-mounts-propagation-slave-by-default.patch. (Closes:
      #795281).
  * debian/control:
    + Bump DH compat level to 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 13:21:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
-Standards-Version: 4.4.1
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  bison,
  dpkg-dev (>= 1.16.1.1~),
  e2fsprogs,
@@ -21,9 +20,10 @@
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
-VCS-Browser: https://salsa.debian.org/debian/autofs/
-VCS-Git: https://salsa.debian.org/debian/autofs.git
+Vcs-Browser: https://salsa.debian.org/debian/autofs/
+Vcs-Git: https://salsa.debian.org/debian/autofs.git
 
 Package: autofs
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# Taken from #1636781 as it's the same problem here. Also see
+# https://lists.ubuntu.com/archives/ubuntu-devel/2018-June/040369.html
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+  export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	autoreconf --force

## autofs 5.1.8

=== Makefile ===
#
# Main Makefile for the autofs user-space tools
#

-include Makefile.conf
include Makefile.rules

.PHONY: daemon all clean samples install install_samples
.PHONY: mrproper distclean backup

all:	daemon samples

daemon:
	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i all; done 

kernel:
	set -e; if [ -d kernel ]; then $(MAKE) -C kernel all; fi

samples:
	set -e; if [ -d samples ]; then $(MAKE) -C samples all; fi

fedfs:
	set -e; if [ -d fedfs ]; then $(MAKE) -C fedfs all; fi

clean:
	for i in $(SUBDIRS) samples; do \
		if [ -d $$i ]; then $(MAKE) -C $$i clean; fi; done 	

install:
	set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i install; done 	

install_kernel:
	set -e; if [ -d kernel ]; then $(MAKE) -C kernel install; fi

install_samples:
	set -e; if [ -d samples ]; then $(MAKE) -C samples install; fi

mrproper distclean: clean
	find . -noleaf \( -name '*~' -o -name '#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.old' \) -print0 | xargs -0 rm -f
	-rm -f include/config.h Makefile.conf config.* .autofs-*
	echo x > .autofs-`cat .version`
	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
	mv -f configure.in.tmp configure.in
	rm -f configure
	$(MAKE) configure

TODAY  := $(shell date +'%Y%m%d')
PKGDIR := $(shell basename `pwd`)
VERSION := $(shell cat .version)

backup: mrproper
	cd .. ; tar zcf - $(PKGDIR) | gzip -9 > autofs-$(VERSION)-bu-$(TODAY).tar.gz 

configure: configure.in aclocal.m4
	autoconf
	autoheader
	rm -rf config.* *.cache

configure.in: .version
	-rm -f .autofs-*
	echo x > .autofs-`cat .version`
	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
	mv -f configure.in.tmp configure.in

-include Makefile.private

=== daemon/Makefile ===
#
# Makefile for autofs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = automount.c indirect.c direct.c spawn.c module.c mount.c \
	master.c master_tok.l master_parse.y lookup.c state.c flag.c
OBJS = automount.o indirect.o direct.o spawn.o module.o mount.o \
	master.o master_tok.o master_parse.tab.o lookup.o state.o \
	flag.o

YACCSRC = master_tok.c master_parse.tab.c master_parse.tab.h

version := $(shell cat ../.version)

CFLAGS += -rdynamic $(DAEMON_CFLAGS) -D_GNU_SOURCE -I../include
CFLAGS += -DAUTOFS_LIB_DIR=\"$(autofslibdir)\" 
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"
CFLAGS += -DAUTOFS_FIFO_DIR=\"$(autofsfifodir)\"
CFLAGS += -DAUTOFS_FLAG_DIR=\"$(autofsflagdir)\"
CFLAGS += -DVERSION_STRING=\"$(version)\"
LDFLAGS += -rdynamic
LIBS += -ldl -lpthread

ifeq ($(SYSTEMD), 1)
    CFLAGS += -DWITH_SYSTEMD
    LIBS += $(LIBSYSTEMD)
endif

ifeq ($(LDAP), 1)
    CFLAGS += $(XML_CFLAGS)
    LIBS += $(XML_LIBS)
endif

all: automount

automount: $(OBJS) $(AUTOFS_LIB)
	$(CC) $(DAEMON_LDFLAGS) -o automount $(OBJS) $(LDFLAGS) $(LIBS) $(AUTOFS_LIB_LINK)
	$(STRIP) automount

master_tok.c: master_tok.l
	$(LEX) -o$@ -Pmaster_ $?

master_parse.tab.c master_parse.tab.h: master_parse.y
	$(YACC) -v -d -p master_ -b master_parse $?

master_tok.o: master_tok.c master_parse.tab.h

master_parse.tab.o: master_parse.tab.c master_parse.tab.h

clean:
	rm -f *.o *.s *~ $(YACCSRC) *.output *~ automount

install: all
	install -d -m 755 $(INSTALLROOT)$(sbindir)
	install -c automount -m 755 $(INSTALLROOT)$(sbindir)

=== fedfs/Makefile ===
#
# Makefile for mount.fedfs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = mount.fedfs.c
HDRS = fedfs-getsrvinfo.h fedfs-gpl-boiler.h fedfs-nls.h \
       fedfs-token.h

fedfs-getsrvinfo_OBJ = fedfs-getsrvinfo.o

mount_fedfs_OBJ = mount.fedfs.o
fedfs-map-nfs4_OBJ = fedfs-map-nfs4.o

version := $(shell cat ../.version)

CFLAGS += -rdynamic $(DAEMON_CFLAGS) -D_GNU_SOURCE -I../include
CFLAGS += -DVERSION_STRING=\"$(version)\"
LDFLAGS += -rdynamic

all: mount.fedfs fedfs-map-nfs4

mount.fedfs: $(mount_fedfs_OBJ) $(fedfs-getsrvinfo_OBJ) $(HDRS)
	$(CC) -o mount.fedfs \
	       $(mount_fedfs_OBJ) $(fedfs-getsrvinfo_OBJ) \
	       $(LDFLAGS) $(LIBRESOLV) $(LIBS)

fedfs-map-nfs4: $(fedfs-map-nfs4_OBJ) $(fedfs-getsrvinfo_OBJ) $(HDRS)
	$(CC) -o fedfs-map-nfs4 \
	       $(fedfs-map-nfs4_OBJ) $(fedfs-getsrvinfo_OBJ) \
	       $(LDFLAGS) $(LIBRESOLV) $(LIBS)

clean:
	rm -f *.o *.s *~ mount.fedfs

install: all
	install -d -m 755 $(INSTALLROOT)$(sbindir)
	install -c fedfs-map-nfs4 -m 755 $(INSTALLROOT)$(sbindir); \
	if ! test -x $(INSTALLROOT)$(sbindir)/mount.fedfs; \
	then \
		install -c mount.fedfs -m 755 $(INSTALLROOT)$(sbindir); \
	fi

=== modules/Makefile ===
--- 
+++ 
@@ -77,7 +77,9 @@
 	install -c $(MODS) -m 755 $(INSTALLROOT)$(autofslibdir)
 	-rm -f $(INSTALLROOT)$(autofslibdir)/mount_smbfs.so
 	ln -fs lookup_file.so $(INSTALLROOT)$(autofslibdir)/lookup_files.so
+ifeq ($(YPCLNT), 1)
 	ln -fs lookup_yp.so $(INSTALLROOT)$(autofslibdir)/lookup_nis.so
+endif
 ifeq ($(LDAP), 1)
 	ln -fs lookup_ldap.so $(INSTALLROOT)$(autofslibdir)/lookup_ldaps.so
 endif

=== samples/Makefile ===
#
-include ../Makefile.conf
include ../Makefile.rules

SAMPLES = auto.master auto.misc auto.net auto.smb

all: rc.autofs autofs.conf.default autofs.init.conf autofs.service

rc.autofs: rc.autofs.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofslibdir@@|$(autofslibdir)|g" \
	    -e "s|@@autofsconfdir@@|$(autofsconfdir)|g" \
	    -e "s|@@initdir@@|$(initdir)|g" < rc.autofs.in > rc.autofs

autofs.conf.default: autofs.conf.default.in
	sed -e "s|@@autofsmapdir@@|$(autofsmapdir)|g" \
		< autofs.conf.default.in > autofs.conf.default

autofs.service: autofs.service.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofsconfdir@@|$(autofsconfdir)|g" \
	    -e "s|@@autofspiddir@@|$(autofspiddir)|g" \
		< autofs.service.in > autofs.service

.PHONY: dirs
dirs:
	install -d -m 755 $(INSTALLROOT)$(autofsmapdir)
	install -d -m 755 $(INSTALLROOT)$(autofsconfdir)
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -d -m 755 $(INSTALLROOT)$(autofspiddir)

.PHONY: autofs.init
autofs.init:
	@echo
ifneq ($(systemddir),)
	install -d -m 755 $(INSTALLROOT)$(systemddir)
	install autofs.service -m 644 $(INSTALLROOT)$(systemddir)/autofs.service
else
   ifneq ($(initdir),)
	install -d -m 755 $(INSTALLROOT)$(initdir)
	install rc.autofs -m 755 $(INSTALLROOT)$(initdir)/autofs
   else
	if test -d $(INSTALLROOT)/etc/rc.d ; then \
		install -c rc.autofs -m 755 $(INSTALLROOT)/etc/rc.d ; \
	fi
   endif
endif

#
# The map directory contains the main autofs configuration ...
#
CONFIG = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs.conf.orig || echo "-b --suffix=.orig")
CEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs || echo "no")

.PHONY: autofs.conf
autofs.conf: autofs.conf.default | dirs
	@echo
	@echo "Installing autofs default configuation in $(autofsmapdir)"
	@if test -z "$(CONFIG)" ; \
	then \
		install -v autofs.conf.default -m 644 \
			$(INSTALLROOT)$(autofsmapdir)/autofs.conf.new ; \
		echo "Found existing backup of configuration file." ; \
		echo "Installed package default configuration file as \"autofs.conf.new\"." ; \
	else \
		install -v autofs.conf.default -m 644 $(CONFIG) \
				$(INSTALLROOT)$(autofsmapdir)/autofs.conf ; \
		echo "Installed package default configuration as \"autofs.conf\"." ; \
		if test -z "$(CEXISTS)" ; \
		then \
			echo "Backup of existing configuration made to \"autofs.conf.orig\"." ; \
		fi ; \
	fi

CINIT = $(shell test -e $(INSTALLROOT)$(autofsconfdir)/autofs.orig || echo "-b --suffix=.orig")
CIEXISTS = $(shell test -e $(INSTALLROOT)$(autofsconfdir)/autofs || echo "no")

.PHONY: autofs.sysinit
autofs.sysinit: autofs.init.conf | dirs
	@echo
	@echo "Installing autofs init configuation in $(autofsconfdir)"
	@if test -z "$(CINIT)" ; \
	then \
		install -v autofs.init.conf -m 644 \
			$(INSTALLROOT)$(autofsconfdir)/autofs.new ; \
		echo "Found existing backup of init configuration file." ; \
		echo "Installed package init configuration file as \"autofs.new\"." ; \
	else \
		install -v autofs.init.conf -m 644 $(CINIT) \
				$(INSTALLROOT)$(autofsconfdir)/autofs ; \
		echo "Installed package init configuration as \"autofs\"." ; \
		if test -z "$(CIEXISTS)" ; \
		then \
			echo "Backup of existing init configuration made to \"autofs.orig\"." ; \
		fi ; \
	fi

AUTH = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf.orig || echo "-b --suffix=.orig")
AEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf || echo "no")

.PHONY: autofs_ldap_auth.conf
autofs_ldap_auth.conf: | dirs
	@echo
	@echo "Installing autofs ldap auth config \"autofs_ldap_auth.conf\" in $(autofsmapdir)"
	@if test -z "$(AUTH)" ; \
	then \
		install -v autofs_ldap_auth.conf -m 600 \
			$(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf.new ; \
		echo "Found existing backup of auth config \"autofs_ldap_auth.conf\"." ; \
		echo "Installed package auth config as \"autofs_ldap_auth.conf.new\"." ; \
	else \
		install -v autofs_ldap_auth.conf -m 600 $(AUTH) \
				$(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf ; \
		echo "Installed package auth config as \"autofs_ldap_auth.conf\"." ; \
		if test -z "$(SEXISTS)" ; \
		then \
			echo "Backup of existing auth config made to \".utofs_ldap_auth.conf.orig\"." ; \
		fi ; \
	fi

MASTER = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.master.orig || echo "-b --suffix=.orig")
MEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.master || echo "no")

.PHONY: auto.master
auto.master: | dirs
	@echo
	@echo "Installing autofs default master map in $(autofsmapdir)"
	@if test -z "$(MASTER)" ; \
	then \
		install -v auto.master -m 644 \
			$(INSTALLROOT)$(autofsmapdir)/auto.master.new ; \
		echo "Found existing backup of master map." ; \
		echo "Installed package default master map as \"auto.master.new\"." ; \
	else \
		install -v auto.master -m 644 $(MASTER) \
				$(INSTALLROOT)$(autofsmapdir)/auto.master ; \
		echo "Installed package master map as \"auto.master\"." ; \
		if test -z "$(MEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.master.orig\"." ; \
		fi ; \
	fi

MISC = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.misc.orig || echo "-b --suffix=.orig")
IEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.misc || echo "no")

.PHONY: auto.misc
auto.misc: | dirs
	@echo
	@echo "Installing autofs sample map \"auto.misc\" in $(autofsmapdir)"
	@if test -z "$(MISC)" ; \
	then \
		install -v auto.misc -m 644 \
			$(INSTALLROOT)$(autofsmapdir)/auto.misc.new ; \
		echo "Found existing backup of sample map \"auto.misc\"." ; \
		echo "Installed package sample as \"auto.misc.new\"." ; \
	else \
		install -v auto.misc -m 644 $(MISC) \
				$(INSTALLROOT)$(autofsmapdir)/auto.misc ; \
		echo "Installed package sample map as \"auto.misc\"." ; \
		if test -z "$(MEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.misc.orig\"." ; \
		fi ; \
	fi

NET = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.net.orig || echo "-b --suffix=.orig")
NEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.net || echo "no")

.PHONY: auto.net
auto.net: | dirs
	@echo
	@echo "Installing autofs sample map \"auto.net\" in $(autofsmapdir)"
	@if test -z "$(NET)" ; \
	then \
		install -v auto.net -m 755 \
			$(INSTALLROOT)$(autofsmapdir)/auto.net.new ; \
		echo "Found existing backup of sample map \"auto.net\"." ; \
		echo "Installed package sample as \"auto.net.new\"." ; \
	else \
		install -v auto.net -m 755 $(NET) \
				$(INSTALLROOT)$(autofsmapdir)/auto.net ; \
		echo "Installed package sample map as \"auto.net\"." ; \
		if test -z "$(NEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.net.orig\"." ; \
		fi ; \
	fi

SMB = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.smb.orig || echo "-b --suffix=.orig")
SEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.smb || echo "no")

.PHONY: auto.smb
auto.smb: | dirs
	@echo
	@echo "Installing autofs sample map \"auto.smb\" in $(autofsmapdir)"
	@if test -z "$(SMB)" ; \
	then \
		install -v auto.smb -m 755 \
			$(INSTALLROOT)$(autofsmapdir)/auto.smb.new ; \
		echo "Found existing backup of sample map \"auto.smb\"." ; \
		echo "Installed package sample as \"auto.smb.new\"." ; \
	else \
		install -v auto.smb -m 755 $(SMB) \
				$(INSTALLROOT)$(autofsmapdir)/auto.smb ; \
		echo "Installed package sample map as \"auto.smb\"." ; \
		if test -z "$(SEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.smb.orig\"." ; \
		fi ; \
	fi

install: rc.autofs autofs.conf.default dirs autofs.init autofs.service \
		autofs.conf autofs.sysinit autofs_ldap_auth.conf $(SAMPLES)
	@echo

clean:
	rm -f *.o *.s rc.autofs autofs.conf.default autofs.service

=== debian/changelog ===
autofs (5.1.8-3.1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2031241). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992):
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
      [In 5.1.8-3]

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 13 Aug 2023 11:04:40 -0300

autofs (5.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload (with approval by maintainer).
  * use correct reference for IN6 macro call
  * dont probe interface that cant send packet (Closes: #1041051)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Aug 2023 14:00:03 +0200

autofs (5.1.8-3) unstable; urgency=medium

  * debian/patches:
    + Add fix-missing-unlock-in-sasl-do-kinit-ext-cc.patch. Fix missing unlock
      in sasl_do_kinit_ext_cc(). (Closes: #1039967).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Jul 2023 11:50:21 +0200

autofs (5.1.8-2ubuntu2) mantic; urgency=medium

  * Fix NTLM and CRAM-MD5 SASL authentication (LP: #2023595):
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
    - d/t/ldap-map-sasl-auth: add NTLM and CRAM-MD5 to the test
  * d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: fix typo in
    the "Origin" DEP3 header
  * d/t/ldap-map-sasl-auth, d/t/control: add a missing 2>&1 to the test,
    which allows us to drop the allow-stderr flag from the control file

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Jul 2023 11:29:10 -0300

autofs (5.1.8-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018059). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
      + d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
        on s390x
    - d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix lock
      imbalance (LP #1982219)
    - Support SASL SCRAM authentication (LP #1987992):
      + d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
        SCRAM-SHA-*
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      + d/p/support-external-cc-for-gssapi-bind.patch: fix external
        credentials cache case when using openldap for sasl binds
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
  * Dropped:
    - d/p/fix-nfsv4-only-mounts-should-not-use-rpcbind.patch:
      Make NFSv4-only mounts not depend on rpcbind.  (LP #1970264)
      [In 5.1.8-2]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Jun 2023 17:06:05 -0300

autofs (5.1.8-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add fix-nfs4-only-mounts-should-not-use-rpcbind.patch. Don't let NFSv4-
      only mounts use rpcbind portmapper service. (Closes: #1034261).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian:
    + Adjust syntax of various overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2023 10:25:31 +0200

autofs (5.1.8-1ubuntu6) mantic; urgency=medium

  * d/t/ldap-map-sasl-auth: wait for slapd to be ready (LP: #2023232)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 08 Jun 2023 14:02:00 -0300

autofs (5.1.8-1ubuntu5) mantic; urgency=medium

  * Support SASL SCRAM authentication (LP: #1987992):
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: allow
      SCRAM-SHA-*
  * Switch to OpenLDAP for SASL binds (LP: #1984073):
    - d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
      changes
    - d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
      OpenLDAP for SASL binds
    - d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
      fix auto-detection case
    - d/p/support-external-cc-for-gssapi-bind.patch: fix external
      credentials cache case when using openldap for sasl binds
  * d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
    authentication mechanisms in LDAP maps, including shared secret
    mechanisms and GSSAPI ones

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 May 2023 14:32:36 -0300

autofs (5.1.8-1ubuntu4) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:43:08 +0000

autofs (5.1.8-1ubuntu3) kinetic; urgency=medium

  * d/p/autofs-5.1.8-ldap-kerberos-leads-to-automount-hang-p.patch: fix


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autofs
 Section: utils
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Build-Depends:
@@ -20,7 +21,7 @@
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.kernel.org/pub/linux/daemons/autofs/v5/
 Vcs-Browser: https://salsa.debian.org/debian/autofs/
 Vcs-Git: https://salsa.debian.org/debian/autofs.git

## autofs 5.1.9

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	find . -noleaf \( -name '*~' -o -name '#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.old' \) -print0 | xargs -0 rm -f
 	-rm -f include/config.h Makefile.conf config.* .autofs-*
 	echo x > .autofs-`cat .version`
-	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
-	mv -f configure.in.tmp configure.in
+	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.ac > configure.ac.tmp
+	mv -f configure.ac.tmp configure.ac
 	rm -f configure
 	$(MAKE) configure
 
@@ -51,16 +51,16 @@
 backup: mrproper
 	cd .. ; tar zcf - $(PKGDIR) | gzip -9 > autofs-$(VERSION)-bu-$(TODAY).tar.gz 
 
-configure: configure.in aclocal.m4
+configure: configure.ac aclocal.m4
 	autoconf
 	autoheader
 	rm -rf config.* *.cache
 
-configure.in: .version
+configure.ac: .version
 	-rm -f .autofs-*
 	echo x > .autofs-`cat .version`
-	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.in > configure.in.tmp
-	mv -f configure.in.tmp configure.in
+	sed -e "s/(\.autofs-[0-9.]\+)/(.autofs-`cat .version`)/" < configure.ac > configure.ac.tmp
+	mv -f configure.ac.tmp configure.ac
 
 -include Makefile.private

=== lib/Makefile ===
#
# Makefile for autofs utility library
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = cache.c cat_path.c rpc_subs.c mounts.c log.c nsswitch.c \
	nss_tok.c nss_parse.tab.c args.c alarm.c macros.c defaults.c \
	parse_subs.c dev-ioctl-lib.c
OBJS = cache.o cat_path.o rpc_subs.o mounts.o log.o nsswitch.o \
	nss_tok.o nss_parse.tab.o args.o alarm.o macros.o defaults.o \
	parse_subs.o dev-ioctl-lib.o

YACCSRC = nss_tok.c nss_parse.tab.c nss_parse.tab.h

LIB = libautofs.so

CFLAGS += -I../include -fPIC -D_GNU_SOURCE
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"

ifeq ($(LDAP), 1)
  CFLAGS += $(XML_CFLAGS) $(XML_LIBS)
endif

.PHONY: all install clean

all: libautofs.so

libautofs.so: $(OBJS)
	$(CC) $(SOLDFLAGS) $(CFLAGS) -o $*.so $^ $(LDFLAGS) $(LIBS)
	$(STRIP) $*.so

nss_tok.c: nss_tok.l
	$(LEX) -o$@ -Pnss_ $?

nss_parse.tab.c nss_parse.tab.h: nss_parse.y
	$(YACC) -v -d -p nss_ -b nss_parse $?

nss_tok.o: nss_tok.c nss_parse.tab.h

nss_parse.tab.o: nss_parse.tab.c nss_parse.tab.h

install: all
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -c $(LIB) -m 755 $(INSTALLROOT)$(sharedlibdir)

clean:
	rm -f $(LIB) $(RPCS) $(OBJS) $(YACCSRC) *.output *~

=== redhat/Makefile ===

-include ../Makefile.conf
include ../Makefile.rules

all: autofs.init autofs.conf autofs.service

autofs.init: autofs.init.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofslibdir@@|$(autofslibdir)|g" \
	    -e "s|@@autofsconfdir@@|$(autofsconfdir)|g" \
	    -e "s|@@autofspiddir@@|$(autofspiddir)|g" \
	    -e "s|@@initdir@@|$(initdir)|g" < autofs.init.in > autofs.init

autofs.conf: autofs.conf.default.in
	sed -e "s|@@autofsmapdir@@|$(autofsmapdir)|g" \
		< autofs.conf.default.in > autofs.conf

autofs.service: ../samples/autofs.service.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofsconfdir@@|$(autofsconfdir)|g" \
	    -e "s|@@autofspiddir@@|$(autofspiddir)|g" \
		< ../samples/autofs.service.in > autofs.service

clean:
	rm -f autofs.init autofs.sysconfig autofs.service

=== debian/changelog ===
autofs (5.1.9-1ubuntu4.1) noble; urgency=medium

  * d/p/autofs-5.1.9-fix-always-recreate-credential-cache.patch: fix
    credential end time comparison (LP: #2074003)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 20 Dec 2024 13:48:34 -0300

autofs (5.1.9-1ubuntu4) noble; urgency=medium

  * d/p/adjust-buffer-size-for-snprintf.patch: fix buffer size when
    appending to a string (LP: #2061667)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 17 Apr 2024 11:47:05 -0300

autofs (5.1.9-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:07 +1100

autofs (5.1.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:07:57 +0000

autofs (5.1.9-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040368). Remaining changes:
    - Fix authenticated cifs mount failure caught by DEP8  (LP #1955851):
      + d/t/smb-mount: fix setting the password of the smb test user
    - d/t/control, d/t/ldap-map-sasl-auth: DEP8 tests for SASL
      authentication mechanisms in LDAP maps, including shared secret
      mechanisms and GSSAPI ones
    - d/p/ntlm-crammd5-require-credentials.patch: fix NTLM and CRAM-MD5
      authentication (LP #2023595)
  * Dropped:
    - d/p/fix-loop-under-run-in-cache_get_offset_parent.patch: fix crash
      on s390x
      [Included by upstream in 5.1.9]
    - d/p/autofs-5.1.8-support-SCRAM-for-SASL-binding.patch: Support
      SASL SCRAM authentication (LP #1987992)
      [Included by upstream in 5.1.9]
    - Switch to OpenLDAP for SASL binds (LP #1984073):
      + d/p/autofs-5.1.8-prepare-for-OpenLDAP-SASL-binding.patch: autoconf
        changes
      + d/p/autofs-5.1.8-let-OpenLDAP-handle-SASL-binding.patch: use
        OpenLDAP for SASL binds
      + d/p/autofs-5.1.8-ldap_sasl_interactive_bind-needs-credentials-for-auto-detection.patch:
        fix auto-detection case
      [Included by upstream in 5.1.9]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Feb 2024 11:05:09 -0300

autofs (5.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop dont-probe-interface-that-cant-send-pac.patch, fix-missing-unlock-
      in-sasl-do-kinit-ext-cc.patch, remove-kernel-mount.nfs-version-check.patch
      and use-correct-reference-for-IN6-macro-cal.patch. All shipped in similar
      variances upstream.
    + Rebase 11default_automaster_location.patch, remove-kernel-mount.nfs-
      version-check.patch and spelling-error-fixes.patch.
    + Add fix-autofs.conf-man-page.patch. Fix artifact from applying a patch to
      the man page.
    * Add fix-autofs-man-page.patch. Malformatted font layout tag. Thanks,
      lintian.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2024 18:45:01 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsasl2-dev,
  libssl-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  sssd-common,
  libtirpc-dev,
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://www.kernel.org/pub/linux/daemons/autofs/v5/autofs-(5[^-]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
